petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionSetFieldName

Sets the name of a field in the PetscSection

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldName(PetscSection s, PetscInt field, const char fieldName[])

Not Collective

### Input Parameters

| s | - the PetscSection
| field | - the field number
| fieldName | - the field name

### See Also

PetscSectionGetFieldName()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages